get:
  tags:
    - Lodges
  summary: Get lodges.
  operationId: getLodges
  responses:
    200:
      description: Success.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/Lodge'
    500:
      description: Internal server error.
      content:
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/Errors'

post:
  tags:
    - Lodges
  summary: Create lodge.
  operationId: createLodge
  requestBody:
    required: true
    content:
      application/json:
        schema:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/Lodge'
  responses:
    201:
      description: Created.
      content:
        application/json:
          schema:
            type: object
            required:
              - data
            properties:
              data:
                $ref: '#/components/schemas/Lodge'
    400:
      description: Bad request.
      content:
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/Errors'
    500:
      description: Internal server error.
      content:
        application/vnd.api+json:
          schema:
            $ref: '#/components/schemas/Errors'